Monitoring - update Widget
Aktualizuje właściwości lub konfigurację widżetu
PUT http://<Servername>/OperationsManager/monitoring/widget/{widgetId}
Parametry identyfikatora URI
| Nazwa | W | Wymagane | Typ | Opis |
|---|---|---|---|---|
|
widget
|
path | True |
string |
Określanie identyfikatora widżetu |
Treść żądania
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Nazwa | Wymagane | Typ | Opis |
|---|---|---|---|
| name | True |
string |
Nazwa komponentu |
| componentType |
string |
Typ składnika |
|
| config |
string |
Konfiguracja komponentu |
|
| description |
string |
Opis komponentu |
|
| mpDescription |
string |
Opis trybu wieloosobowego |
|
| mpId |
string |
Identyfikator MP |
|
| mpName |
string |
Imię i nazwisko MP |
|
| mpVersion |
string |
Wersja MP |
|
| path |
string |
Ścieżka |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 200 OK |
boolean |
OK. Pomyślnie zaktualizowano konfigurację widżetu. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Przykłady
Monitoring_updateWidget
Przykładowe żądanie
PUT http://<Servername>/OperationsManager/monitoring/widget/36d07f06-f74b-f820-9697-fc6dda6bce4e
{
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"path": "Monitoring",
"name": "test alert widget",
"description": "test",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"columns\":[\"severity\",\"monitoringobjectdisplayname\",\"name\",\"repeatcount\",\"lastmodified\"],\"groupByColumn\":\"nogrouping\",\"expandGroupByColumn\":false,\"sortByColumn\":\"nosorting\",\"sortOrder\":1,\"payload\":\"36d07f06-f74b-f820-9697-fc6dda6bce4e\",\"dragHandle\":\".draggable\",\"resizeHandle\":\".resizable\"},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[]},\"criteria\":{\"severities\":[\"0\",\"1\",\"2\"],\"priorities\":[\"0\",\"2\",\"1\"],\"resolutionStates\":[\"0\",\"247\",\"248\",\"249\",\"250\",\"254\",\"255\"],\"age\":7,\"ageTimeUnit\":\"days\"}},\"widgetRefreshInterval\":5}",
"componentType": "HtmlAlertWidget"
}
Przykładowa odpowiedź
[
"Ok"
]
Definicje
MonitoringComponentRequest
| Nazwa | Typ | Opis |
|---|---|---|
| componentType |
string |
Typ składnika |
| config |
string |
Konfiguracja komponentu |
| description |
string |
Opis komponentu |
| mpDescription |
string |
Opis trybu wieloosobowego |
| mpId |
string |
Identyfikator MP |
| mpName |
string |
Imię i nazwisko MP |
| mpVersion |
string |
Wersja MP |
| name |
string |
Nazwa komponentu |
| path |
string |
Ścieżka |